Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions
socket.h File Reference
`#include <botan/types.h>`
`#include <string>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | Botan::OS::Socket

## Namespaces
namespace | Botan
namespace | Botan::OS

## Functions
std::unique_ptr< Socket > BOTAN_TEST_API | Botan::OS::open_socket (const std::string &hostname, const std::string &service, std::chrono::milliseconds timeout)